<?php
require_once("DBManager.class.php");

class curso_info{
	private $idci;///
	private $iddoc_curso;
	private $recurso;
	private $archivo;
	/////////////////constructor/////////////////
	
	public function Crear($viddc,$vcla,$var)
	{
		$resp=false;		
		$db= new DBManager();		
if($db->_execute("INSERT INTO curso_info(idci,iddoc_curso,recurso,archivo) VALUES(null,".$viddc.",'".$vcla."','".$var."')"))   
		{
			$resp=true;
		}
		return $resp;		
	}
	
	
	public function ListarPorDoccur($v)
	{
		$vector=null;		
		$db= new DBManager();		
		$rs=$db->execute("select * from curso_info where(iddoc_curso =".$v.")");
		$num_rows=$rs->getNumOfRows();
		if($num_rows>0)
		{	$row=0;
			$rs->firstRow(); // opcional, pero recomendado
			while (!$rs->EOF) 
			{
   				$vector[$row]=array("idci"	=> $rs->fields["idci"],
									"iddoc_curso" 	=> $rs->fields["iddoc_curso"],
									"recurso" 	=> $rs->fields["recurso"],
									"archivo" 	=> $rs->fields["archivo"]);
                $row++;
				$rs->nextRow(); // Nota: nextRow() Esta situado al final				
         	}			
        	return $vector;			
		}else return null;
		$rs->close(); 
		$db->closeConnection();//opcional cierra el enlace de la Base de Datos              						
	}
		
	public function ListarVisibles($doc)
	{
		$vector=null;		
		$db= new DBManager();		
		$rs=$db->execute("select * from curso_info where(estado ='V' and iddoc_curso =".$doc.")");
		$num_rows=$rs->getNumOfRows();
		if($num_rows>0)
		{	$row=0;
			$rs->firstRow(); // opcional, pero recomendado
			while (!$rs->EOF) 
			{
   				$vector[$row]=array("idci"	=> $rs->fields["idci"],
									"iddoc_curso" 	=> $rs->fields["iddoc_curso"],
									"recurso" 	=> $rs->fields["recurso"],
									"archivo" 	=> $rs->fields["archivo"]);
                $row++;
				$rs->nextRow(); // Nota: nextRow() Esta situado al final				
         	}			
        	return $vector;			
		}else return null;
		$rs->close(); 
		$db->closeConnection();//opcional cierra el enlace de la Base de Datos              						
	}
		
	public function BuscarPorCodigo($vcod)
	{
		
		$resp=false;
		$num_rows=0;//numero de filas afectada por la consulta
		$db= new DBManager();
		$rs=$db->execute("select * from curso_info where(idci = ".$vcod.")");
		$num_rows=$rs->getNumOfRows();
		if($num_rows>0)
		{	$resp=true;
			$rs->firstRow(); // opcional, pero recomendado
			while (!$rs->EOF) {
                // Coleccion de campos accesible mediante arrays asociativos también
	            $this->idci=$rs->fields["idci"];
				$this->iddoc_curso=$rs->fields["iddoc_curso"];				
				$this->recurso=$rs->fields["recurso"];	
				$this->archivo=$rs->fields["archivo"];
 				$rs->nextRow(); // Nota: nextRow() Esta situado al final				
        	}			
		}
		$rs->close(); 
		$db->closeConnection();//opcional cierra el enlace de la Base de Datos              
		return $resp;							
	}
	
	public function BuscarPorDoccurso($vcod)
	{
		
		$resp=false;
		$num_rows=0;//numero de filas afectada por la consulta
		$db= new DBManager();
		$rs=$db->execute("select * from curso_info where(iddoc_curso = ".$vcod.")");
		$num_rows=$rs->getNumOfRows();
		if($num_rows>0)
		{	$resp=true;
			$rs->firstRow(); // opcional, pero recomendado
			while (!$rs->EOF) {
                // Coleccion de campos accesible mediante arrays asociativos también
	            $this->idci=$rs->fields["idci"];
				$this->iddoc_curso=$rs->fields["iddoc_curso"];				
				$this->recurso=$rs->fields["recurso"];	
				$this->archivo=$rs->fields["archivo"];
 				$rs->nextRow(); // Nota: nextRow() Esta situado al final			
        	}			
		}
		$rs->close(); 
		$db->closeConnection();//opcional cierra el enlace de la Base de Datos              
		return $resp;							
	}
	
	/////////////////////////////////////////
	
	public function Actualizar($vid,$vn,$va,$ve)			
	{
		$resp=false;		
		$db= new DBManager();		
		if($db->_execute("update  curso_info set recurso = '".$vn."', archivo = '".$va."' where (idci=".$vid.") "))//si es exitosa la consulta			   
		{
		  $resp=true; 
		}	
		return $resp;
	}
	
	
	/////////////////////////////////
	public function ListaTotal()
	{
		$vector=null;
		$db= new DBManager();		
		$rs=$db->execute("select * from curso_info");
		$num_rows=$rs->getNumOfRows();
		if($num_rows>0)
		{	$row=0;
			$rs->firstRow(); // opcional, pero recomendado
			while (!$rs->EOF) {
                $vector[$row]=array("idci"	=> $rs->fields["idci"],
									"iddoc_curso" 	=> $rs->fields["iddoc_curso"],
									"recurso" 	=> $rs->fields["recurso"],
									"archivo" 	=> $rs->fields["archivo"]);
                $row++;
				$rs->nextRow(); // Nota: nextRow() Esta situado al final				
        	}			
        	return $vector;			
		}else return null;
		
		$rs->close(); 
		$db->closeConnection();//opcional cierra el enlace de la Base de Datos              						
	}
	//////////////////////////////
	public function Eliminar($vcod)
	{
		$resp=false;		
		$db= new DBManager();		
		if($db->_execute("DELETE FROM curso_info WHERE (idci=".$vcod.");"))   
		{
			$resp=true;
		}
		return $resp;		
	}	
	/////////////////////////////////////////							
	
	public function getIdci(){ return $this->idci;}
	public function getIddoc_curso(){ return $this->iddoc_curso;}
	public function getRecurso(){ return $this->recurso;}
	public function getArchivo(){ return $this->archivo;}
	
}
?>